cxf-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From build...@apache.org
Subject svn commit: r882205 - in /websites/production/cxf/content: cache/main.pageCache faq.html
Date Fri, 11 Oct 2013 21:47:52 GMT
Author: buildbot
Date: Fri Oct 11 21:47:52 2013
New Revision: 882205

Log:
Production update by buildbot for cxf

Modified:
    websites/production/cxf/content/cache/main.pageCache
    websites/production/cxf/content/faq.html

Modified: websites/production/cxf/content/cache/main.pageCache
==============================================================================
Binary files - no diff available.

Modified: websites/production/cxf/content/faq.html
==============================================================================
--- websites/production/cxf/content/faq.html (original)
+++ websites/production/cxf/content/faq.html Fri Oct 11 21:47:52 2013
@@ -154,7 +154,8 @@ Apache CXF -- FAQ
 <h2><a shape="rect" name="FAQ-General"></a>General</h2>
 
 <h3><a shape="rect" name="FAQ-CanCXFrunwithJDK1.7%3F"></a>Can CXF run with
JDK 1.7?</h3>
-<p>TBD.</p>
+
+<p>Yes.   CXF supports Java 7.  Since Java 7 contains the 2.2.x versions of both JAXB
and JAX-WS API jars, using CXF with Java 7 is much easier than with Java 6.</p>
 
 <h3><a shape="rect" name="FAQ-CanCXFrunwithJDK1.6%3F"></a>Can CXF run with
JDK 1.6?</h3>
 
@@ -162,7 +163,7 @@ Apache CXF -- FAQ
 
 <h3><a shape="rect" name="FAQ-CanCXFrunwithJDK1.5%3F"></a>Can CXF run with
JDK 1.5?</h3>
 
-<p>Yes for CXF 2.6.x and older.  Keep in mind though that Java 2 SE 5.0 with JDK 1.5
has reached end of life (<a shape="rect" class="external-link" href="http://www.oracle.com/technetwork/java/eol-135779.html"
rel="nofollow">EOL</a>). CXF 2.7.x no longer supports Java 5. In order to upgrade
to 2.7.0, you must be using Java 6 (or newer).</p>
+<p>Yes for CXF 2.6.x and older.  Keep in mind though that Java 2 SE 5.0 with JDK 1.5
has reached end of life (<a shape="rect" class="external-link" href="http://www.oracle.com/technetwork/java/eol-135779.html"
rel="nofollow">EOL</a>). CXF 2.7.x no longer supports Java 5. In order to upgrade
to 2.7.x, you must be using Java 6 (or newer).</p>
 
 
 <h3><a shape="rect" name="FAQ-CanCXFrunwithouttheSunreferenceSAAJimplementation%3F"></a>Can
CXF run without the Sun reference SAAJ implementation?</h3>



Mime
View raw message